BimpHelp

Returns to suppliers: Bimp API methods

Bimp API methods for the “Returns to suppliers” resource (/org2/refundSupplier/…): 5 methods. Base URL: https://app.bimpsoft.com. All requests except login pass the company token in the access-token header — see Getting started with the API.

MethodWhat it does
POST /org2/refundSupplier/api-readA request to obtain detailed information for a particular return of goods to supplier document
POST /org2/refundSupplier/api-readListA request to view a list of return of goods to supplier documents
POST /org2/refundSupplier/api-createA request to create a new return of goods to supplier document
POST /org2/refundSupplier/api-updateA request to update an existing return of goods to supplier document
POST /org2/refundSupplier/api-cancelArchive a return of goods to supplier document

api-read

POST /org2/refundSupplier/api-read

A request to obtain detailed information for a particular return of goods to supplier document

Request body (JSON)

FieldTypeRequiredDescription
uuidstring (uuid)yesA unique uuid key for a return of goods to supplier document

Response: data field

FieldTypeDescription
uuidstring (uuid)A unique uuid key for a return of goods to supplier document
datestringThe document’s date in the format ‘YYYY-MM-DDTHH:MM:SS’ (e.g., ‘2025-05-16T09:17:49’)
namestring
commentstringAn optional text field for any additional notes or comments related to the document
numberstringThe number of the return to supplier document
organizationstring (uuid)A unique identifier for the Organization, obtainable from the /organization/api-readList request
counterpartystring (uuid)A unique uuid key for a supplier
warehousestring (uuid)A unique identifier for the Warehouse, obtainable from the /warehouse/api-readList request
contractstring (uuid)The unique identifier for the counterparty’s contract, specified in the buyer key. You can retrieve this UUID using the /contract/api-readList request
responsiblestring (uuid)A unique uuid key for a responsible employee
priceListstring (uuid)A unique identifier for the Price List, obtainable from the /priceList/api-readList request
currencystring (uuid)A unique uuid key for a currency
documentSumnumberTotal amount of the document
VATaccountedbooleanWhether VAT is included
VATamountnumber
processingbooleanAn informational flag marking the document as related to tolling (processing)
baseDocumentstring (uuid)A purchase invoice document on which the return to supplier is based
productsobject[]
products[].nomenclaturestring (uuid)A unique uuid key for a product nomenclature
products[].namestringProduct name
products[].countnumberA numerical value representing the quantity of the product
products[].costnumberA numerical value representing the cost of the product
products[].sumnumber
products[].reservenumber
products[].discountnumberThe amount of discount
products[].VATstring (uuid)A unique uuid key for a company VAT
products[].VATamountnumber
curl -X POST 'https://app.bimpsoft.com/org2/refundSupplier/api-read' \
  -H 'access-token: <company token>' \
  -H 'Content-Type: application/json' \
  -d '{"uuid":"00000000-0000-0000-0000-000000000000"}'

api-readList

POST /org2/refundSupplier/api-readList

A request to view a list of return of goods to supplier documents

Request body (JSON)

FieldTypeRequiredDescription
paginationobjectyes
pagination.offsetnumberyesBegin from {offset} elements
pagination.countnumberyesLimit of paginated elemets
periodableobject[]Period range as a tuple of two ISO 8601 date-time strings in UTC (e.g. ‘2012-10-05T14:48:00.000Z’)
organizationsstring (uuid)[]A unique identifier for the Organization, obtainable from the /organization/api-readList request
showAllbooleanParameter to show all documents.

Response: data field

FieldTypeDescription
[].uuidstring (uuid)A unique uuid key for a return of goods to supplier document
[].datestringThe document’s date in the format ‘YYYY-MM-DDTHH:MM:SS’ (e.g., ‘2025-05-16T09:17:49’)
[].namestring
[].commentstringAn optional text field for any additional notes or comments related to the document
[].numberstringThe number of the return to supplier document
[].organizationstring (uuid)A unique identifier for the Organization, obtainable from the /organization/api-readList request
[].counterpartystring (uuid)A unique uuid key for a supplier
[].responsiblestring (uuid)A unique uuid key for a responsible employee
[].currencystring (uuid)A unique uuid key for a currency
[].documentSumnumberTotal amount of the document
curl -X POST 'https://app.bimpsoft.com/org2/refundSupplier/api-readList' \
  -H 'access-token: <company token>' \
  -H 'Content-Type: application/json' \
  -d '{"pagination":{"offset":0,"count":10}}'

api-create

POST /org2/refundSupplier/api-create

A request to create a new return of goods to supplier document

Request body (JSON)

FieldTypeRequiredDescription
baseDocumentstring (uuid)yesA purchase invoice document on which the return to supplier is based
datestringThe document’s date in the format ‘YYYY-MM-DDTHH:MM:SS’ (e.g., ‘2025-05-16T09:17:49’)
numberstringThe number of the return to supplier document
warehousestring (uuid)A unique identifier for the Warehouse, obtainable from the /warehouse/api-readList request
responsiblestring (uuid)A unique uuid key for a responsible employee
commentstringAn optional text field for any additional notes or comments related to the document
VATaccountedbooleanWhether VAT is included
processingbooleanAn informational flag marking the document as related to tolling (processing)
productsobject[]
products[].costnumberyesA numerical value representing the cost of the product
products[].countnumberyesA numerical value representing the quantity of the product
products[].nomenclaturestring (uuid)yesA unique uuid key for a product nomenclature
products[].VATstring (uuid)A unique uuid key for a company VAT

Response: data field

FieldTypeDescription
uuidstring (uuid)A unique uuid key for a return of goods to supplier document
curl -X POST 'https://app.bimpsoft.com/org2/refundSupplier/api-create' \
  -H 'access-token: <company token>' \
  -H 'Content-Type: application/json' \
  -d '{"baseDocument":"00000000-0000-0000-0000-000000000000"}'

api-update

POST /org2/refundSupplier/api-update

A request to update an existing return of goods to supplier document

Request body (JSON)

FieldTypeRequiredDescription
uuidstring (uuid)yesA unique uuid key for a return of goods to supplier document
datestringThe document’s date in the format ‘YYYY-MM-DDTHH:MM:SS’ (e.g., ‘2025-05-16T09:17:49’)
numberstringThe number of the return to supplier document
warehousestring (uuid)A unique identifier for the Warehouse, obtainable from the /warehouse/api-readList request
responsiblestring (uuid)A unique uuid key for a responsible employee
commentstringAn optional text field for any additional notes or comments related to the document
VATaccountedbooleanWhether VAT is included
processingbooleanAn informational flag marking the document as related to tolling (processing)
baseDocumentstring (uuid)A purchase invoice document on which the return to supplier is based
productsobject[]
products[].costnumberyesA numerical value representing the cost of the product
products[].countnumberyesA numerical value representing the quantity of the product
products[].nomenclaturestring (uuid)yesA unique uuid key for a product nomenclature
products[].VATstring (uuid)A unique uuid key for a company VAT

Response: data field

FieldTypeDescription
uuidstring (uuid)A unique uuid key for a return of goods to supplier document
curl -X POST 'https://app.bimpsoft.com/org2/refundSupplier/api-update' \
  -H 'access-token: <company token>' \
  -H 'Content-Type: application/json' \
  -d '{"uuid":"00000000-0000-0000-0000-000000000000"}'

api-cancel

POST /org2/refundSupplier/api-cancel

Archive a return of goods to supplier document

Request body (JSON)

FieldTypeRequiredDescription
uuidstring (uuid)yesA unique uuid key for the return of goods to supplier document

Response: data field

FieldTypeDescription
successboolean (true)
curl -X POST 'https://app.bimpsoft.com/org2/refundSupplier/api-cancel' \
  -H 'access-token: <company token>' \
  -H 'Content-Type: application/json' \
  -d '{"uuid":"00000000-0000-0000-0000-000000000000"}'

Interactive documentation with a test request option: https://app.bimpsoft.com/docs. The OpenAPI specification is updated together with Bimp; this page is generated from it automatically.